import request from '@/utils/request'

// 查询档案信息列表 预立卷
export function listInfo(query) {
  return request({
    url: '/archives/recordInfo/list',
    method: 'get',
    params: query
  })
}
export function listInfoByRecordSearch(query) {
  return request({
    url: '/archives/recordInfo/listInfoByRecordSearch',
    method: 'get',
    params: query
  })
}
export function exports(query) {
  return request({
    url: '/archives/recordInfo/export',
    method: 'get',
    params: query
  })
}
export function fileSearchMethod(query) {
  return request({
    url: '/archives/fileinfo/fileSearchList',
    method: 'get',
    params: query
  })
}
// 查询档案信息详细
export function getInfo(id) {
  return request({
    url: '/archives/recordInfo/' + id,
    method: 'get'
  })
}

// 新增档案信息
export function addInfo(data) {
  return request({
    url: '/archives/recordInfo/',
    method: 'post',
    data: data
  })
}

// 修改档案信息
export function updateInfo(data) {
  return request({
    url: '/archives/recordInfo/',
    method: 'put',
    data: data
  })
}

// 删除档案信息
export function delInfo(id) {
  return request({
    url: '/archives/recordInfo/' + id,
    method: 'delete'
  })
}

// 导出档案信息
export function exportInfo(query) {
  return request({
    url: '/archives/recordInfo/',
    method: 'get',
    params: query
  })
}
//移交档案
export function transfer(ids) {
  return request({
    url: '/archives/recordInfo/transfer/' + ids,
    method: 'get'
  })
}
//编目
export function catalog(ids) {
  return request({
    url: '/archives/recordInfo/catalog/' + ids,
    method: 'get'
  })
}

//下载
export function downLoadUtil(obj) {
  return request({
    url: '/common/downloadAr/',
    method: 'get',
    params:obj,
    responseType: 'blob'
  })
}
//退回
export function sendReturn(ids,reason) {
  return request({
    url: '/archives/recordInfo/sendReturn/'+ids,
    method: 'get',
    params:{"reason":reason}
  })
}
//审核通过
export function approved(ids) {
  return request({
    url: '/archives/recordInfo/approved/' + ids,
    method: 'get'
  })
}
//装盒归档
export function packFill(ids) {
  return request({
    url: '/archives/recordInfo/packFill/' + ids,
    method: 'get'
  })
}
//入库
export function putInHousing(ids) {
  return request({
    url: '/archives/recordInfo/putInHousing/' + ids,
    method: 'get'
  })
}
//撤回
export function recall(ids) {
  return request({
    url: '/archives/recordInfo/recall/' + ids,
    method: 'get'
  })
}
//档案导入说明
export function importDescription() {
  return request({
    url: '/archives/recordInfo/importDescription/',
    method: 'get',
    responseType: 'blob'
  })
}
//清空将导入信息
export function deleteImportInfo(ids) {
  return request({
    url: '/archives/archiveImport/deleteImportInfo/' + ids,
    method: 'get'
  })
}
//导入信息
export function toPreFiling(ids) {
  return request({
    url: '/archives/recordInfo/toPreFiling/' + ids,
    method: 'get'
  })
}
