import request from '@/utils/request'

// 查询借阅列表
export function listArchivesBorrow(query) {
  return request({
    url: '/archives/archivesBorrow/list',
    method: 'get',
    params: query
  })
}

// 查询借阅详细
export function getArchivesBorrow(id) {
  return request({
    url: '/archives/archivesBorrow/' + id,
    method: 'get'
  })
}

// 新增借阅
export function addArchivesBorrow(data) {
  return request({
    url: '/archives/archivesBorrow',
    method: 'post',
    data: data
  })
}

// 修改借阅
export function updateArchivesBorrow(data) {
  return request({
    url: '/archives/archivesBorrow',
    method: 'put',
    data: data
  })
}

// 删除借阅
export function delArchivesBorrow(id) {
  return request({
    url: '/archives/archivesBorrow/' + id,
    method: 'delete'
  })
}

// 导出借阅
export function exportArchivesBorrow(query) {
  return request({
    url: '/archives/archivesBorrow/export',
    method: 'get',
    params: query
  })
}