import request from '@/utils/request'

// 查询archivesBox列表
export function listArchivesBox(query) {
  return request({
    url: '/archives/archivesBox/list',
    method: 'get',
    params: query
  })
}

// 查询archivesBox详细
export function getArchivesBox(id) {
  return request({
    url: '/archives/archivesBox/' + id,
    method: 'get'
  })
}

// 新增archivesBox
export function addArchivesBox(data) {
  return request({
    url: '/archives/archivesBox',
    method: 'post',
    data: data
  })
}

// 修改archivesBox
export function updateArchivesBox(data) {
  return request({
    url: '/archives/archivesBox',
    method: 'put',
    data: data
  })
}

// 删除archivesBox
export function delArchivesBox(id) {
  return request({
    url: '/archives/archivesBox/' + id,
    method: 'delete'
  })
}

// 导出archivesBox
export function exportArchivesBox(query) {
  return request({
    url: '/archives/archivesBox/export',
    method: 'get',
    params: query
  })
}