import request from '@/utils/request'

// 查询archivesDoc列表
export function listArchivesDoc(query) {
  return request({
    url: '/archives/archivesDoc/list',
    method: 'get',
    params: query
  })
}

// 查询archivesDoc详细
export function getArchivesDoc(id) {
  return request({
    url: '/archives/archivesDoc/' + id,
    method: 'get'
  })
}

// 新增archivesDoc
export function addArchivesDoc(data) {
  return request({
    url: '/archives/archivesDoc',
    method: 'post',
    data: data
  })
}

// 修改archivesDoc
export function updateArchivesDoc(data) {
  return request({
    url: '/archives/archivesDoc',
    method: 'put',
    data: data
  })
}

// 删除archivesDoc
export function delArchivesDoc(id) {
  return request({
    url: '/archives/archivesDoc/' + id,
    method: 'delete'
  })
}

// 导出archivesDoc
export function exportArchivesDoc(query) {
  return request({
    url: '/archives/archivesDoc/export',
    method: 'get',
    params: query
  })
}

// 下载项目导入模板
export function importTemplate() {
  return request({
    url: '/archives/archivesDoc/importTemplate',
    method: 'get'
  })
}
