import request from '@/utils/request'

// 查询archivesStoreroom列表
export function listArchivesStoreroom(query) {
  return request({
    url: '/archives/archivesStoreroom/list',
    method: 'get',
    params: query
  })
}

// 查询archivesStoreroom详细
export function getArchivesStoreroom(id) {
  return request({
    url: '/archives/archivesStoreroom/' + id,
    method: 'get'
  })
}

// 新增archivesStoreroom
export function addArchivesStoreroom(data) {
  return request({
    url: '/archives/archivesStoreroom',
    method: 'post',
    data: data
  })
}

// 修改archivesStoreroom
export function updateArchivesStoreroom(data) {
  return request({
    url: '/archives/archivesStoreroom',
    method: 'put',
    data: data
  })
}

// 删除archivesStoreroom
export function delArchivesStoreroom(id) {
  return request({
    url: '/archives/archivesStoreroom/' + id,
    method: 'delete'
  })
}

// 导出archivesStoreroom
export function exportArchivesStoreroom(query) {
  return request({
    url: '/archives/archivesStoreroom/export',
    method: 'get',
    params: query
  })
}