import request from '@/utils/request'


export function listCategoryInfo(query) {
  return request({
    url: '/archives/categoryInfo/list',
    method: 'get',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listCategoryInfoExcludeChild(id) {
  return request({
    url: '/archives/categoryInfo/list/exclude/' + id,
    method: 'get'
  })
}

// 查询类目管理详细
export function getCategoryInfo(id) {
  return request({
    url: '/archives/categoryInfo/' + id,
    method: 'get'
  })
}
// 新增类目管理
export function addInfo(data) {
  return request({
    url: '/archives/categoryInfo/',
    method: 'post',
    data: data
  })
}

// 修改类目管理
export function updateInfo(data) {
  return request({
    url: '/archives/categoryInfo/',
    method: 'put',
    data: data
  })
}

// 删除类目管理
export function delInfo(id) {
  return request({
    url:'/archives/categoryInfo/'+id,
    method: 'delete'
  })
}
// 查询类目下拉树结构
export function treeselect(obj) {
  return request({
    url: '/archives/categoryInfo/treeselect',
    method: 'get',
    params:obj
  })
}
// 查询类目下拉树结构加年份
export function treeselectAndYear(obj) {
  return request({
    url: '/archives/categoryInfo/treeselectAndYear',
    method: 'get',
    params:obj
  })
}
// 查询类目下拉树结构
export function listSonselect(obj) {
  return request({
    url: '/archives/categoryInfo/listSonselect',
    method: 'get',
    params:obj
  })
}
