import request from '@/utils/request'

// 查询文件信息列表
export function listInfo(query) {
  return request({
    url: '/archives/fileinfo/list',
    method: 'get',
    params: query
  })
}

// 查询文件信息详细
export function getInfo(id) {
  return request({
    url: '/archives/fileinfo/' + id,
    method: 'get'
  })
}

// 新增文件信息
export function addInfo(data) {
  return request({
    url: '/archives/fileinfo',
    method: 'post',
    data: data
  })
}

// 修改文件信息
export function updateInfo(data) {
  return request({
    url: '/archives/fileinfo',
    method: 'put',
    data: data
  })
}

// 删除文件信息
export function delInfo(id) {
  return request({
    url: '/archives/fileinfo/' + id,
    method: 'delete'
  })
}

// 导出文件信息
export function exportInfo(query) {
  return request({
    url: '/archives/fileinfo/export',
    method: 'get',
    params: query
  })
}
// 导出文件信息
export function exportModole(query) {
  return request({
    url: '/archives/fileinfo/exportModel',
    method: 'get',
    params: query
  })
}
