import request from '@/utils/request'

// 查询文件上传列表列表
export function listFileUploadList(query) {
  return request({
    url: '/archives/fileUploadList/list',
    method: 'get',
    params: query
  })
}

// 查询文件上传列表详细
export function getFileUploadList(id) {
  return request({
    url: '/archives/fileUploadList/' + id,
    method: 'get'
  })
}

// 新增文件上传列表
export function addFileUploadList(data) {
  return request({
    url: '/archives/fileUploadList',
    method: 'post',
    data: data
  })
}

// 修改文件上传列表
export function updateFileUploadList(data) {
  return request({
    url: '/archives/fileUploadList',
    method: 'put',
    data: data
  })
}

// 删除文件上传列表
export function delFileUploadList(id) {
  return request({
    url: '/archives/fileUploadList/' + id,
    method: 'delete'
  })
}

// 导出文件上传列表
export function exportFileUploadList(query) {
  return request({
    url: '/archives/fileUploadList/export',
    method: 'get',
    params: query
  })
}



// 一键挂载文件
export function hookUpAttachmentsV2(type) {
  return request({
    url: '/archives/archiveImport/hookUpAttachments/v2/'+type,
    method: 'post',
  })
}
