import request from '@/utils/request'

// 查询挂接历史列表
export function listHistory(query) {
  return request({
    url: '/archives/history/list',
    method: 'get',
    params: query
  })
}

// 查询挂接历史详细
export function getHistory(id) {
  return request({
    url: '/archives/history/' + id,
    method: 'get'
  })
}

// 新增挂接历史
export function addHistory(data) {
  return request({
    url: '/archives/history',
    method: 'post',
    data: data
  })
}

// 修改挂接历史
export function updateHistory(data) {
  return request({
    url: '/archives/history',
    method: 'put',
    data: data
  })
}

// 删除挂接历史
export function delHistory(id) {
  return request({
    url: '/archives/history/' + id,
    method: 'delete'
  })
}

// 导出挂接历史
export function exportHistory(query) {
  return request({
    url: '/archives/history/export',
    method: 'get',
    params: query
  })
}
