export const commonTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  menuWidth: '150px',
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      width:'180px'
    },
    {
      label: '案卷流水号',
      prop: 'caseNum',
      editDisplay:false,
      addDisplay:false,
      width: '120px'
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      disabled:true
    },
    {
      label: '年度',
      prop: 'year',
      value: new Date().getFullYear(),
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
    },
    {
      label: '案卷题名',
      prop: 'boxName',
      search:true,
      rules: [{
        required: true,
        message: '请输入文件题名',
        trigger: 'change'
      }],
      width:'300px'
    },

    {
      label: '起始日期',
      prop: 'startDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '结束日期',
      prop: 'endDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '件数',
      prop: 'number',
      type:'number',
    },

    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
      value:'YJ'
    },
    {
      label: '编制日期',
      prop: 'descriptionTime',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '密集柜号',
      prop: 'cabinetNumber',
      width:'100px'
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
  ]
}


export const commonFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  menuWidth: '150px',
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '案卷档号',
      prop: 'recordFileNum',
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文号',
      prop: 'receiveNum',
      search:true,
      width:'150px'
    },

    {
      label: '文件标题',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入文件标题',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '页号',
      prop: 'pageNums',
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '责任者',
      search:true,
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '备注',
      prop: 'remark',
    },
  ]
}
export const commonSearchFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  menuWidth: '150px',
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '案卷档号',
      prop: 'recordFileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文号',
      prop: 'receiveNum',
      search: true,
      width:'100px'
    },

    {
      label: '文件标题',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入文件标题',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '所属类目',
      prop: 'archiveCategory',
      type:'select',
      search:true,
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
    },
    {
      label: '所属档案题名',
      prop: 'boxName',
      width:'250px'
    },
    {
      label: '年份',
      prop: 'recordYear'
    },

    {
      label: '页号',
      prop: 'pageNums',
      rules: [{
        required: true,
        message: '请输入页号',
        trigger: 'change'
      }],
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择密级',
        trigger: 'change'
      }],
    },
    {
      label: '责任者',
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      rules: [{
        required: true,
        message: '请输入日期',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '备注',
      prop: 'remark',
    },



  ]
}
