export const htTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'合同档案>新增',
  editTitle:'合同档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  menuWidth: '150px',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl:process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      // rules: [{
      //   required: true,
      //   message: '请输入档号',
      //   trigger: 'change'
      // }]
      width:'150px'
    },
    {
      label: '签署单位',
      prop: 'issuingUnit',
    },
    {
      label: '协议名称',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入协议名称',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '合作方',
      prop: 'partner',
    },
    {
      label: '签署时间',
      prop: 'descriptionTime',
      type:'date',
      search: true,
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '页号',
      prop: 'pageNumber',
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '全宗号',
      prop: 'totalNum',
    },
    {
      label: '密集柜号',
      prop: 'cabinetNumber',
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },

      disabled:true
    },

    {
      label: '案卷流水号',
      prop: 'caseNum',
      width: '120px',
      editDisplay:false,
      addDisplay:false,
      display:false,
      // rules: [{
      //   required: true,
      //   message: '请输入档号',
      //   trigger: 'change'
      // }]
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '归档部门',
      prop: 'department',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dept/treeselect',
    },
  ]
}

export const htFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  menuWidth: '150px',
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },

    {
      label: '案卷档号',
      prop: 'recordFileNum',
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文号',
      prop: 'receiveNum',
      search:true,
      width:'150px'
    },

    {
      label: '合同名称',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入合同名称',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '责任者',
      prop: 'ownerName',
    },
    {
      label: '页号',
      prop: 'pageNums',
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '归档部门',
      prop: 'placeDept',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dept/treeselect',
    },
    {
      label: '签订日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      search: true,
      width:'150px'
    },
    {
      label: '备注',
      prop: 'remark',
    },
  ]
}






