export const jjTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'基建档案>新增',
  editTitle:'基建档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  menuWidth: '150px',
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '案卷题名',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入题名',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '编制起始日期',
      prop: 'startDate',
      type:'date',
      format: "yyyyMMd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '编制结束日期',
      prop: 'endDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label:'总页数',
      prop:'pages',
      type: 'number'
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '专业',
      prop: 'major',
      search: true,
      width: '150px'
    },
    {
      label: '密集柜号',
      prop: 'cabinetNumber',
    },
    {
      label: '档案类目',
      prop: 'archiveScope',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/treeSonselect?code=JJ',
      rules: [{
        required: true,
        message: '请选择档案类目',
        trigger: 'change'
      }],
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      value:'JJ',
      disabled:true
    },

    {
      label: '全宗号',
      prop: 'totalNum',
    },
    {
      label: '项目代号',
      prop: 'projectNumber',
      type:'number',
      search: true,
      rules: [{
        required: true,
        message: '请输入项目代号',
        trigger: 'change'
      }]
    },
    {
      label: '项目名称',
      prop: 'project_name',
      width:'120px',
      rules: [{
        required: true,
        message: '请输入项目名称',
        trigger: 'change'
      }]
    },
    {
      label: '案卷流水号',
      prop: 'caseNum',
      width: '120px',
      editDisplay:false,
      addDisplay:false,
      display:false,
    },
    {
      label: '编制单位',
      prop: 'issuingUnit',
    },


  ]
}

export const jjFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  menuWidth: '150px',
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },

    {
      label: '案卷档号',
      prop: 'recordFileNum',
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文件材料题名',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入文件标题',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '原编字号',
      prop: 'wordNum',
    },
    {
      label: '编制单位',
      prop: 'issuingUnit',
    },
    {
      label: '编制日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      search: true,
      width:'150px'
    },
    {
      label: '页数',
      prop: 'pages',
    },
    {
      label: '备注',
      prop: 'remark',
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '文号',
      prop: 'receiveNum',
      width:'150px'
    },
    {
      label: '原文路径',
      prop: 'original_path',
      width:'150px'
    },
    {
      label: '主题词',
      prop: 'keyWords',
      width:'150px'
    },
    {
      label: '责任者',
      search:true,
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '年度',
      prop: 'year',
    },

    {
      label: '页号',
      prop: 'pageNums',
    },
    {
      label: '起始日期',
      prop: 'startDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '结束日期',
      prop: 'endDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },


  ]
}






