export const rsTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'人事档案>新增',
  editTitle:'人事档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  menuWidth: '150px',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl:process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      // rules: [{
      //   required: true,
      //   message: '请输入档号',
      //   trigger: 'change'
      // }]
      width:'150px'
    },
    {
      label: '文号',
      prop: 'received_number',
      search:true,
      rules: [{
        required: true,
        message: '请输入文号',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '题名',
      prop: 'boxName',
      search:true,
      rules: [{
        required: true,
        message: '请输入文件题名',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '归档时间',
      prop: 'archive_date',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      rules: [{
        required: true,
        message: '请选择归档时间',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '卷',
      prop: 'caseNum',
      width: '120px',
      editDisplay:false,
      addDisplay:false,
      display:false,
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      rules: [{
        required: true,
        message: '请选择密级',
        trigger: 'change'
      }],
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },

      disabled:true
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '备注',
      prop: 'remark',
      //search: true
    },
  ]
}

export const rsFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  menuWidth: '150px',
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '文号',
      prop: 'received_number',
      search:true,
      width:'150px'
    },
    {
      label: '题名',
      prop: 'boxName',
      search:true,
      rules: [{
        required: true,
        message: '请输入文件题名',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '归档时间',
      prop: 'archive_date',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '卷',
      prop: 'caseNum',
      width: '120px',
      editDisplay:false,
      addDisplay:false,
      display:false,
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },

      disabled:true
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
  ]
}






