export const repositoryOption = {
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  showSummary: true,
  sumColumnList: [
    {
      name: 'totalRecords',
      type: 'sum'
    },
    {
      name: 'totalFiles',
      type: 'sum'
    },
    {
      name: 'permanentRecords',
      type: 'sum'
    },
    {
      name: 'permanentFiles',
      type: 'sum'
    },
    {
      name: 'longRecords',
      type: 'sum'
    },
    {
      name: 'longFiles',
      type: 'sum'
    },
    {
      name: 'shortRecords',
      type: 'sum'
    },
    {
      name: 'shortFiles',
      type: 'sum'
    },
  ],
  column: [
    {
      label: '年度',
      prop: 'year',
    },
    {
      label: '月度',
      prop: 'month',
    },

    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
    },
    {
      label: '在库案卷数',
      prop: 'totalRecords',
    },
    {
      label: '在库文件数',
      prop: 'totalFiles',
    },
    {
      label: '在库永久案卷数',
      prop: 'permanentRecords',
    },
    {
      label: '在库永久文件数',
      prop: 'permanentFiles',
    },
    {
      label: '在库长期案卷数',
      prop: 'longRecords',
    },
    {
      label: '在库长期文件数',
      prop: 'longFiles',
    },
    {
      label: '在库短期案卷数',
      prop: 'shortRecords',
    },
    {
      label: '在库短期文件数',
      prop: 'shortFiles',
    },
  ]
}



export const overTheYearsOption = {
  index:false,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  showSummary: true,
  sumColumnList: [
    {
      name: 'totalRecords',
      type: 'sum'
    },
    {
      name: 'totalFiles',
      type: 'sum'
    },
    {
      name: 'permanentRecords',
      type: 'sum'
    },
    {
      name: 'permanentFiles',
      type: 'sum'
    },
    {
      name: 'longRecords',
      type: 'sum'
    },
    {
      name: 'longFiles',
      type: 'sum'
    },
    {
      name: 'shortRecords',
      type: 'sum'
    },
    {
      name: 'shortFiles',
      type: 'sum'
    },
  ],
  column: [
    {
      label: '年度',
      prop: 'year',
    },

    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
    },
    {
      label: '在库案卷数',
      prop: 'totalRecords',
    },
    {
      label: '在库文件数',
      prop: 'totalFiles',
    },
    {
      label: '在库永久案卷数',
      prop: 'permanentRecords',
    },
    {
      label: '在库永久文件数',
      prop: 'permanentFiles',
    },
    {
      label: '在库长期案卷数',
      prop: 'longRecords',
    },
    {
      label: '在库长期文件数',
      prop: 'longFiles',
    },
    {
      label: '在库短期案卷数',
      prop: 'shortRecords',
    },
    {
      label: '在库短期文件数',
      prop: 'shortFiles',
    },
  ]
}

export const turnOverOption = {
  index:false,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  showSummary: true,
  sumColumnList: [
    {
      name: 'totalRecords',
      type: 'sum'
    },
    {
      name: 'totalFiles',
      type: 'sum'
    },

  ],
  column: [
    {
      label: '年度',
      prop: 'crtyear',
    },
    {
      label: '月度',
      prop: 'crtrmonth',
    },

    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
    },
    {
      label: '移交档案数',
      prop: 'totalRecords',
    },
    {
      label: '移交文件数',
      prop: 'totalFiles',
    },

  ]
}
export const engineeringInfoOption = {
  index:false,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  defaultExpandAll:false,
  column: [
    {
      label: '工程档案类目名称',
      prop: 'name',
      type:'tree',
      dicUrl: '/archives/archivecategoryinfo/tree',
      align: 'left',
      props:{
        label: 'name',
        value: 'id'
      },
    },
    {
      label: '导入（卷）',
      prop: 'importRecords',
    },
    {
      label: '录入卷',
      prop: 'editRecords',
    },
    {
      label: '总共卷',
      prop: 'totalRecords',
    },
    {
      label: '导入（件）',
      prop: 'importFiles',
    },
    {
      label: '录入件',
      prop: 'editFiles',
    },
    {
      label: '总共件',
      prop: 'totalFiles',
    },
  ]
}
export const WSInfoOption = {
  index:false,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  defaultExpandAll:false,
  column: [
    {
      label: '文书档案类目名称',
      prop: 'name',
      type:'tree',
      dicUrl: '/archives/archivecategoryinfo/tree',
      align: 'left',
      props:{
        label: 'name',
        value: 'id'
      },
    },
    {
      label: '导入（件）',
      prop: 'importRecords',
    },
    {
      label: '录入件',
      prop: 'editRecords',
    },
    {
      label: '总共件',
      prop: 'totalRecords',
    },
  ]
}
export const departmentInfoOption = {
  index:false,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  defaultExpandAll:false,
  column: [
    {
      label: '部门名称',
      prop: 'name',
      type: 'tree',
      minWidth:'160',
      dicUrl: '/archives/archivecategoryinfo/tree',
      props:{
        label: 'name',
        value: 'id'
      },
    },
    {
      label: '案卷总数',
      prop: 'totalRecords',
    },
    {
      label: '文件总数',
      prop: 'totalFiles',
    },
    {
      label: '文书类(件)',
      prop: 'totalRecordsCode01',
    },
    {
      label: '经营类',
      prop: 'totalRecordsCode02',
    },
    {
      label: '设备仪器类',
      prop: 'totalRecordsCode03',
    },
    {
      label: '基建工程类',
      prop: 'totalRecordsCode04',
    },
    {
      label: '科研类',
      prop: 'totalRecordsCode05',
    },
    {
      label: '生产技术类',
      prop: 'totalRecordsCode06',
    },
    {
      label: '会计类',
      prop: 'totalRecordsCode07',
    },
    {
      label: '职工类',
      prop: 'totalRecordsCode08',
    },
    {
      label: '声像类',
      prop: 'totalRecordsCode09',
    },
    {
      label: '实物类',
      prop: 'totalRecordsCode10',
    },
  ]
}


export const borrowOption = {
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: true,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:false,
  refreshBtn:false,
  showSummary: true,
  sumColumnList: [
    {
      name: 'borrowTimes',
      type: 'sum'
    },
    {
      name: 'view',
      type: 'sum'
    },
    {
      name: 'print',
      type: 'sum'
    },
    {
      name: 'paper',
      type: 'sum'
    },
  ],
  column: [
    {
      label: '年度',
      prop: 'year',
    },

    {
      label: '月份',
      prop: 'month',
    },
    {
      label: '借阅人次',
      prop: 'borrowTimes',
    },
    {
      label: '查阅借阅',
      prop: 'view',
    },
    {
      label: '打印借阅',
      prop: 'print',
    },
    {
      label: '纸质借阅',
      prop: 'paper',
    },
  ]
}
