export const sxTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'声像档案>新增',
  editTitle:'声像档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  menuWidth: '150px',
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: true,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '组照片题名',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入组照片题名',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '拍摄时间',
      prop: 'descriptionTime',
      type:'date',
      search: true,
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '摄制地点',
      prop: 'address',
    },
    {
      label:'人物',
      prop:'partner',
    },
    {
      label: '摄制者',
      prop: 'ownerName',
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label:'张数',
      prop:'number',
      type: 'number'
    },
    {
      label:'库位号',
      prop:'location_num',
    },
    {
      label:'原文路径',
      prop:'original_path',
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '全宗号',
      prop: 'totalNum',
    },
    {
      label: '案卷流水号',
      prop: 'caseNum',
      editDisplay:false,
      width: '120px',
      addDisplay:false,
      display:false,
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      value:'SX',
      disabled:true
    },
    {
      label: '档案类目',
      prop: 'archiveScope',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/treeSonselect?code=SX',
      rules: [{
        required: true,
        message: '请选择档案类目',
        trigger: 'change'
      }],
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '提供时间',
      prop: 'provide_date',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '起始日期',
      prop: 'startDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '结束日期',
      prop: 'endDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label:'参见号',
      prop:'see_no',
    },
    {
      label:'光盘号',
      prop:'disc_number',
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },

  ]
}

export const sxFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  menuWidth: '150px',
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '案卷档号',
      prop: 'recordFileNum',
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '照片题名',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入照片题名',
        trigger: 'change'
      }],
      width:'250px'
    },

    {
      label: '责任部门',
      prop: 'fileDept',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/system/dept/treeselect`,
    },
    {
      label: '日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      search: true,
      width:'150px'
    },
    {
      label: '文号',
      prop: 'receiveNum',
      search:true,
      width:'150px'
    },
    {
      label: '责任者',
      search:true,
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '文件页数',
      prop: 'pages',
    },
    {
      label: '文件类型',
      prop: 'fileType',
    },
    {
      label: '载体类型',
      prop: 'carrierType',
    },
    {
      label: "文件页号",
      prop: 'pageNums',
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '备注',
      prop: 'remark',
    },
  ]
}






