export const tsTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'图书档案>新增',
  editTitle:'图书档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  menuWidth: '150px',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl:process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '题名',
      prop: 'boxName',
      search:true,
      rules: [{
        required: true,
        message: '请输入文件题名',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '作者',
      prop: 'ownerName',
      search:true,
      rules: [{
        required: true,
        message: '请输入作者',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '出版社',
      prop: 'issuingUnit',
      //search:true,
      rules: [{
        required: true,
        message: '请输入出版社',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '出版时间',
      prop: 'descriptionTime',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      rules: [{
        required: true,
        message: '请选择出版时间',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '图书类别',
      prop: 'archiveScope',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/treeSonselect?code=TS',
      rules: [{
        required: true,
        message: '请选择图书类别',
        trigger: 'change'
      }],
    },
    {
      label: '图书载体',
      prop: 'type',
      type: 'select',
      search:true,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_book_type',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '年度',
      prop: 'year',
      search:true,
      // rules: [{
      //   required: true,
      //   message: '请输入年度',
      //   trigger: 'change'
      // }],
      type:'year',
      format: "yyyy",
      valueFormat: "yyyy",
      rules: [{
        required: true,
        message: '请选择年度',
        trigger: 'change'
      }]
      // ,
      // value:new Date().getFullYear()
    },
    {
      label: '册/套',
      prop: 'number'
    },
  ]
}

export const tsFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  menuWidth: '150px',
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '题名',
      prop: 'boxName',
      search:true,
      rules: [{
        required: true,
        message: '请输入文件题名',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '作者',
      prop: 'ownerName',
      search:true,
      rules: [{
        required: true,
        message: '请输入作者',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '出版社',
      prop: 'issuingUnit',
      //search:true,
      rules: [{
        required: true,
        message: '请输入出版社',
        trigger: 'change'
      }],
      width:'300px'
    },
    {
      label: '出版时间',
      prop: 'descriptionTime',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      rules: [{
        required: true,
        message: '请选择出版时间',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '图书类别',
      prop: 'archiveScope',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+'/archives/categoryInfo/treeSonselect?code=TS',
      rules: [{
        required: true,
        message: '请选择图书类别',
        trigger: 'change'
      }],
    },
    {
      label: '图书载体',
      prop: 'type',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_book_type',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '年度',
      prop: 'year',
      search:true,
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '册/套',
      prop: 'number'
    },
  ]
}






