export const yjTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'移交记录档案>新增',
  editTitle:'移交记录档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuWidth: '150px',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: '题名',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入题名',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '文号',
      prop: 'received_number',
    },
    {
      label: '页数',
      prop:'pages',
      type: 'number'
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '移交时间',
      prop: 'descriptionTime',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      rules: [{
        required: true,
        message: '请输入移交时间',
        trigger: 'change'
      }],
      width:'150px'
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },

    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '全宗号',
      prop: 'totalNum',
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      value:'DAYJJL',
      disabled:true,
      width:'150px'
    },
    {
      label: '移交部门',
      prop: 'department',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/system/dept/treeselect`,
    },


  ]
}

export const yjFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuWidth: '150px',
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文号',
      prop: 'receiveNum',
      search:true,
      width:'150px'
    },
    {
      label: '文件标题',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入文件标题',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '页号',
      prop: 'pageNums',
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '责任者',
      search:true,
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '备注',
      prop: 'remark',
    },
  ]
}






