export const zxTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'增选项目档案>新增',
  editTitle:'增选项目档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  menuWidth: '150px',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '案卷流水号',
      prop: 'caseNum',
      editDisplay:false,
      addDisplay:false,
      display:false,
      width: '120px'
    },
    {
      label: '案卷题名',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入案卷题名',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '起始日期',
      prop: 'startDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '结束日期',
      prop: 'endDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '件数',
      prop:'number',
      type: 'number'
    },
    {
      label: '总页数',
      prop:'pages',
      type: 'number'
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
      value:'YJ'
    },
    {
      label: '密集柜号',
      prop: 'cabinetNumber',
    },
    {
      label: '全宗号',
      prop: 'totalNum',
    },

    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      value:'ZX',
      disabled:true
    },
    {
      label: '文件类别',
      prop: 'recordType',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/archives/categoryInfo/treeSonselect?code=ZX`,
      rules: [{
        required: true,
        message: '请选择文件类别',
        trigger: 'change'
      }],
    },
    {
      label: '年度',
      prop: 'year',
      rules: [{
        required: true,
        message: '请输入年度',
        trigger: 'change'
      }],
      value:new Date().getFullYear()
    },
    {
      label: '立卷部门',
      prop: 'department',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/system/dept/treeselect`,
    },

  ]
}

export const zxFileInfo = {
  reserveSelection:false,
  selection:false,
  index:true,
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  menuWidth: '150px',
  align: 'center',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '案卷档号',
      prop: 'recordFileNum',
      editDisplay:false,
      addDisplay:false,
      width:'150px'
    },
    {
      label: '顺序号',
      prop: 'arSort',
      editDisplay:false,
      addDisplay:false,
    },
    {
      label: '文件标题',
      search:true,
      prop: 'title',
      rules: [{
        required: true,
        message: '请输入文件标题',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '主题字',
      prop: 'keyWords',
      width:'150px'

    },
    {
      label: '责任者',
      search:true,
      prop: 'ownerName',
      width:'150px'
    },
    {
      label: '日期',
      prop: 'fileDate',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '页号',
      prop: 'pageNums',
    },
    {
      label: '备注',
      prop: 'remark',
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '年度',
      prop: 'year',
      value: new Date().getFullYear(),
    },

    {
      label: '文号',
      prop: 'receiveNum',
      search:true,
      width:'150px'
    },


    {
      label: '文件类别',
      prop: 'recordType',
      addDisplay:false,
      editDisplay:false,
      width:'150px'
    },




    {
      label: '承办单位',
      prop: 'underTaker',
      width:'150px'
    },
    {
      label: '承办人',
      prop: 'underUser',
      width:'150px'
    },
    {
      label: '立卷人',
      prop: 'createUser',
      addDisplay: false,
      editDisplay: false,
      width:'150px'
    },

    {
      label: '审核人',
      prop: 'checkUser',
      addDisplay: false,
      editDisplay: false,
      width:'150px'
    },

    {
      label: '立卷时间',
      prop: 'filingTime',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },

  ]
}




